
D4Science Infrastructure - Task #12445

SSL Certificate for mongodb development cluster

Sep 10, 2018 04:00 PM - Roberto Cirillo

Status: Closed Start date: Sep 10, 2018

Priority: Normal Due date:  

Assignee: Roberto Cirillo % Done: 100%

Category: System Application Estimated time: 0.00 hour

Target version: Mongodb: enable and enforce TLS   

Infrastructure: Development, Pre-Production   

Description

It's needed to have SSL certificates on the following mongod instances:

mongo1-d-d4s.d4science.org

mongo2-d-d4s.d4science.org

mongo3-d-d4s.d4science.org

mongo4-d-d4s.d4science.org

mongo-d-vol.d4science.org

Subtasks:

Task # 12448: Add a letsencrypt hook script to the mongodb-org-3.2 ansible role Closed

Task # 12450: Manage SSL  in the mongodb configuration template Closed

Related issues:

Blocks D4Science Infrastructure - Task #12443: Enable TLS/SSL on the mongodb ... Closed Sep 10, 2018

History

#1 - Sep 10, 2018 04:01 PM - Roberto Cirillo

- Blocks Task #12443: Enable TLS/SSL on the mongodb development cluster added

#2 - Sep 13, 2018 10:09 AM - Roberto Cirillo

- Status changed from New to In Progress

- Assignee changed from _InfraScience Systems Engineer to Roberto Cirillo

#3 - Sep 13, 2018 11:59 AM - Roberto Cirillo

- Status changed from In Progress to Closed
